diff -ur original/PowerSwitch.2008-02-28/commandline/powerSwitch.c customized/PowerSwitch.2008-02-28/commandline/powerSwitch.c
--- original/PowerSwitch.2008-02-28/commandline/powerSwitch.c	2008-02-29 06:39:31.000000000 +0900
+++ customized/PowerSwitch.2008-02-28/commandline/powerSwitch.c	2011-05-19 00:21:16.000000000 +0900
@@ -21,7 +21,8 @@
 #include <string.h>
 #include <usb.h>    /* this is libusb, see http://libusb.sourceforge.net/ */
 
-#define USBDEV_SHARED_VENDOR    0x16C0  /* VOTI */
+//#define USBDEV_SHARED_VENDOR    0x16C0  /* VOTI */
+#define USBDEV_SHARED_VENDOR    0xFF99  /* Private ID */
 #define USBDEV_SHARED_PRODUCT   0x05DC  /* Obdev's free shared PID */
 /* Use obdev's generic shared VID/PID pair and follow the rules outlined
  * in firmware/usbdrv/USBID-License.txt.
diff -ur original/PowerSwitch.2008-02-28/firmware/Makefile customized/PowerSwitch.2008-02-28/firmware/Makefile
--- original/PowerSwitch.2008-02-28/firmware/Makefile	2008-02-29 06:39:31.000000000 +0900
+++ customized/PowerSwitch.2008-02-28/firmware/Makefile	2011-05-15 16:26:12.000000000 +0900
@@ -7,7 +7,8 @@
 # License: GNU GPL v2 (see License.txt) or proprietary (CommercialLicense.txt)
 # This Revision: $Id: Makefile 277 2007-03-20 10:53:33Z cs $
 
-DEVICE = at90s2313
+#DEVICE = at90s2313
+DEVICE = atmega88
 AVRDUDE = avrdude -c stk500v2 -P avrdoper -p $(DEVICE)
 # Choose your favorite programmer and interface above.
 
@@ -68,7 +69,7 @@
 main.hex:	main.bin
 	rm -f main.hex main.eep.hex
 	avr-objcopy -j .text -j .data -O ihex main.bin main.hex
-	./checksize main.bin
+#	./checksize main.bin
 # do the checksize script as our last action to allow successful compilation
 # on Windows with WinAVR where the Unix commands will fail.
 
diff -ur original/PowerSwitch.2008-02-28/firmware/main.c customized/PowerSwitch.2008-02-28/firmware/main.c
--- original/PowerSwitch.2008-02-28/firmware/main.c	2008-02-29 06:39:31.000000000 +0900
+++ customized/PowerSwitch.2008-02-28/firmware/main.c	2013-07-19 22:59:27.000000000 +0900
@@ -36,11 +36,11 @@
 
 static uchar    actionTimers[8];
 
-/* This is the AT90S2313 version of the routine. Change for others. */
+/* This is the ATmega version of the routine. Change for others. */
 static void outputByte(uchar b)
 {
-    PORTB = (PORTB & ~0xfc) | (b & 0xfc);
-    PORTD = (PORTD & ~0x30) | ((b << 4) & 0x30);
+    PORTB = (PORTB & ~0x3c) | ((b << 2) & 0x3c);
+    PORTD = (PORTD & ~0xF0) | (b & 0xF0);
 }
 
 static uchar    computeTemporaryChanges(void)
@@ -58,6 +58,30 @@
 static void computeOutputStatus(void)
 {
 uchar   status = eeprom_read_byte(EEPROM_LOCATION) ^ computeTemporaryChanges();
+/*  status[4]とstatus[7]の値を合成してstatus[4]の値を決定する
+    status[4]=0, status[7]=0:消灯
+    status[4]=1, status[7]=0:点滅
+    status[4]=0, status[7]=1:強制的にstatus[4]を一旦1にした上で長点灯＆短消灯ループ
+    status[4]=1, status[7]=1:強制的にstatus[4]を一旦1にした上で長点灯＆短消灯ループ */
+static uchar    blnkmask = ~_BV(4);
+static uchar    errormask = ~_BV(4);
+static uchar    counter = 4;
+
+    blnkmask ^= _BV(4);  /* トグル処理 */
+    status &= blnkmask;
+
+    if (status >> 7) {
+        status |= _BV(4); /* 強制的にstatus[4]を1にする */
+		if(counter == 5) {
+            counter = 4;
+            errormask = 0xFF;  /* 点灯 */
+		}
+        else if(!counter--){
+            counter = 5;
+            errormask = ~_BV(4);  /* 消灯 */
+        }
+        status &= errormask;
+    }
 
     outputByte(status);
 }
diff -ur original/PowerSwitch.2008-02-28/firmware/usbconfig.h customized/PowerSwitch.2008-02-28/firmware/usbconfig.h
--- original/PowerSwitch.2008-02-28/firmware/usbconfig.h	2008-02-29 06:39:31.000000000 +0900
+++ customized/PowerSwitch.2008-02-28/firmware/usbconfig.h	2011-05-19 00:17:34.000000000 +0900
@@ -124,7 +124,7 @@
 
 /* -------------------------- Device Description --------------------------- */
 
-#define  USB_CFG_VENDOR_ID  0xc0, 0x16  /* 5824 in dec, stands for VOTI */
+#define  USB_CFG_VENDOR_ID  0x99, 0xff  /* 65433 in dec, private ID */
 /* USB vendor ID for the device, low byte first. If you have registered your
  * own Vendor ID, define it here. Otherwise you use obdev's free shared
  * VID/PID pair. Be sure to read USBID-License.txt for rules!
